SDL_dropevents_c.h File Reference
`#include "../SDL_internal.h"`
Include dependency graph for SDL_dropevents_c.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | SDL_SendDropFile (SDL_Window *window, const char *file)
int | SDL_SendDropText (SDL_Window *window, const char *text)
int | SDL_SendDropComplete (SDL_Window *window)

## Function Documentation

## SDL_SendDropComplete()

int SDL_SendDropComplete | ( | SDL_Window * | window | ) |

Definition at line 92 of file SDL_dropevents.c.

References NULL, SDL_DROPCOMPLETE, and SDL_SendDrop().

{
return SDL_SendDrop(window, SDL_DROPCOMPLETE, NULL);
}
SDL_SendDrop
static int SDL_SendDrop(SDL_Window *window, const SDL_EventType evtype, const char *data)
Definition: SDL_dropevents.c:33
NULL
#define NULL
Definition: begin_code.h:164
SDL_DROPCOMPLETE
Definition: SDL_events.h:141

## SDL_SendDropFile()

int SDL_SendDropFile | ( | SDL_Window * | window,
|  | const char * | file
| ) |  |

Definition at line 80 of file SDL_dropevents.c.

References SDL_DROPFILE, and SDL_SendDrop().

{
return SDL_SendDrop(window, SDL_DROPFILE, file);
}
SDL_SendDrop
static int SDL_SendDrop(SDL_Window *window, const SDL_EventType evtype, const char *data)
Definition: SDL_dropevents.c:33
SDL_DROPFILE
Definition: SDL_events.h:138

## SDL_SendDropText()

int SDL_SendDropText | ( | SDL_Window * | window,
|  | const char * | text
| ) |  |

Definition at line 86 of file SDL_dropevents.c.

References SDL_DROPTEXT, and SDL_SendDrop().

{
return SDL_SendDrop(window, SDL_DROPTEXT, text);
}
SDL_DROPTEXT
Definition: SDL_events.h:139
SDL_SendDrop
static int SDL_SendDrop(SDL_Window *window, const SDL_EventType evtype, const char *data)
Definition: SDL_dropevents.c:33
text
static char text[MAX_TEXT_LENGTH]
Definition: testime.c:47